Loading...
Searching...
No Matches
BALL::HBondProcessor::ResidueData Struct Reference

`#include <BALL/STRUCTURE/HBondProcessor.h>`

## Public Attributes

Vector3 | pos_C
Vector3 | pos_N
Vector3 | pos_H
Vector3 | pos_O
Size | number
Residue * | res
bool | is_complete
| sometimes there are defect residues around...

## Detailed Description

Definition at line 182 of file HBondProcessor.h.

## Member Data Documentation

## is_complete

bool BALL::HBondProcessor::ResidueData::is_complete

sometimes there are defect residues around...

Definition at line 191 of file HBondProcessor.h.

## number

Size BALL::HBondProcessor::ResidueData::number

Definition at line 188 of file HBondProcessor.h.

## pos_C

Vector3 BALL::HBondProcessor::ResidueData::pos_C

Definition at line 184 of file HBondProcessor.h.

## pos_H

Vector3 BALL::HBondProcessor::ResidueData::pos_H

Definition at line 186 of file HBondProcessor.h.

## pos_N

Vector3 BALL::HBondProcessor::ResidueData::pos_N

Definition at line 185 of file HBondProcessor.h.

## pos_O

Vector3 BALL::HBondProcessor::ResidueData::pos_O

Definition at line 187 of file HBondProcessor.h.

## res

Residue* BALL::HBondProcessor::ResidueData::res

Definition at line 189 of file HBondProcessor.h.